#include<bits/stdc++.h>
using namespace std;
double p,q,r,L,R,a,b,c;
long long x;
int main(){
cin>>p>>q>>r>>L>>R;
for(float i=L;i<=R;i++){
    if(ceil(i/p)+ceil(i/q)+ceil(i/r)<=i){x++;}

}
cout<<x<<endl;
    return 0;}